OptionActivity V1
curl --request GET \
--url 'https://api.benzinga.com/api/v1/signal/option_activity?token='import requests
url = "https://api.benzinga.com/api/v1/signal/option_activity?token="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.benzinga.com/api/v1/signal/option_activity?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.benzinga.com/api/v1/signal/option_activity?token=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.benzinga.com/api/v1/signal/option_activity?token="
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.benzinga.com/api/v1/signal/option_activity?token=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.benzinga.com/api/v1/signal/option_activity?token=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"option_activity": [
{
"aggressor_ind": "0.73",
"ask": "5.75",
"bid": "5.2",
"cost_basis": "336000.0",
"date": "2025-12-29",
"date_expiration": "2026-09-18",
"description": "Freeport-McMoRan Option Alert: Sep 18 $50 Puts at the Ask: 600 vs 636 OI; Earnings 1/22 Before Open [est] ",
"description_extended": "Freeport-McMoRan Option Alert: Sep 18 $50 Puts at the Ask: 600 @ $5.6 vs 636 OI; Earnings 1/22 Before Open [est] Ref=$51.4",
"exchange": "NYSE",
"execution_estimate": "AT_ASK",
"id": "6952ef7b6ab0a40001b39586",
"midpoint": "5.475",
"open_interest": "636",
"option_activity_type": "TRADE",
"option_symbol": "FCX260918P00050000",
"price": "5.6",
"put_call": "PUT",
"sentiment": "BEARISH",
"size": "600",
"strike_price": "50.00",
"ticker": "FCX",
"time": "16:15:32",
"trade_count": 1,
"underlying_price": "51.4",
"underlying_type": "STOCK",
"updated": 1767042939,
"volume": "1601"
}
]
}
{
"ok": false,
"errors": [
{
"code": "auth_failed",
"id": "unauthorized",
"value": "Invalid or missing authentication token"
}
]
}
{
"ok": false,
"errors": [
{
"code": "no_data_found",
"id": "not_found",
"value": "No data found for the specified parameters"
}
]
}
{
"ok": false,
"errors": [
{
"code": "internal_server_error",
"id": "server_error",
"value": "An unexpected error occurred while processing your request"
}
]
}
Calendars
Unusual Options Activity
Returns unusual options activity data, including large or unusual options trades that may signal informed trading
GET
/
api
/
v1
/
signal
/
option_activity
OptionActivity V1
curl --request GET \
--url 'https://api.benzinga.com/api/v1/signal/option_activity?token='import requests
url = "https://api.benzinga.com/api/v1/signal/option_activity?token="
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.benzinga.com/api/v1/signal/option_activity?token=', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.benzinga.com/api/v1/signal/option_activity?token=",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.benzinga.com/api/v1/signal/option_activity?token="
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.benzinga.com/api/v1/signal/option_activity?token=")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.benzinga.com/api/v1/signal/option_activity?token=")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"option_activity": [
{
"aggressor_ind": "0.73",
"ask": "5.75",
"bid": "5.2",
"cost_basis": "336000.0",
"date": "2025-12-29",
"date_expiration": "2026-09-18",
"description": "Freeport-McMoRan Option Alert: Sep 18 $50 Puts at the Ask: 600 vs 636 OI; Earnings 1/22 Before Open [est] ",
"description_extended": "Freeport-McMoRan Option Alert: Sep 18 $50 Puts at the Ask: 600 @ $5.6 vs 636 OI; Earnings 1/22 Before Open [est] Ref=$51.4",
"exchange": "NYSE",
"execution_estimate": "AT_ASK",
"id": "6952ef7b6ab0a40001b39586",
"midpoint": "5.475",
"open_interest": "636",
"option_activity_type": "TRADE",
"option_symbol": "FCX260918P00050000",
"price": "5.6",
"put_call": "PUT",
"sentiment": "BEARISH",
"size": "600",
"strike_price": "50.00",
"ticker": "FCX",
"time": "16:15:32",
"trade_count": 1,
"underlying_price": "51.4",
"underlying_type": "STOCK",
"updated": 1767042939,
"volume": "1601"
}
]
}
{
"ok": false,
"errors": [
{
"code": "auth_failed",
"id": "unauthorized",
"value": "Invalid or missing authentication token"
}
]
}
{
"ok": false,
"errors": [
{
"code": "no_data_found",
"id": "not_found",
"value": "No data found for the specified parameters"
}
]
}
{
"ok": false,
"errors": [
{
"code": "internal_server_error",
"id": "server_error",
"value": "An unexpected error occurred while processing your request"
}
]
}
{
"option_activity": [
{
"aggressor_ind": "0.73",
"ask": "5.75",
"bid": "5.2",
"cost_basis": "336000.0",
"date": "2025-12-29",
"date_expiration": "2026-09-18",
"description": "Freeport-McMoRan Option Alert: Sep 18 $50 Puts at the Ask: 600 vs 636 OI; Earnings 1/22 Before Open [est] ",
"description_extended": "Freeport-McMoRan Option Alert: Sep 18 $50 Puts at the Ask: 600 @ $5.6 vs 636 OI; Earnings 1/22 Before Open [est] Ref=$51.4",
"exchange": "NYSE",
"execution_estimate": "AT_ASK",
"id": "6952ef7b6ab0a40001b39586",
"midpoint": "5.475",
"open_interest": "636",
"option_activity_type": "TRADE",
"option_symbol": "FCX260918P00050000",
"price": "5.6",
"put_call": "PUT",
"sentiment": "BEARISH",
"size": "600",
"strike_price": "50.00",
"ticker": "FCX",
"time": "16:15:32",
"trade_count": 1,
"underlying_price": "51.4",
"underlying_type": "STOCK",
"updated": 1767042939,
"volume": "1601"
}
]
}
{
"ok": false,
"errors": [
{
"code": "auth_failed",
"id": "unauthorized",
"value": "Invalid or missing authentication token"
}
]
}
{
"ok": false,
"errors": [
{
"code": "no_data_found",
"id": "not_found",
"value": "No data found for the specified parameters"
}
]
}
{
"ok": false,
"errors": [
{
"code": "internal_server_error",
"id": "server_error",
"value": "An unexpected error occurred while processing your request"
}
]
}
Query Parameters
Response
Option Activity
Was this page helpful?